%define upstream_name    Template-Alloy
%define upstream_version 1.020

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    TT2/3, HT, HTE, Tmpl, and Velocity Engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%{?perl_default_filter}

%description
"An alloy is a homogeneous mixture of two or more elements"
(http://en.wikipedia.org/wiki/Alloy).

Template::Alloy represents the mixing of features and capabilities from all
of the major mini-language based template systems (support for
non-mini-language based systems will happen eventually). With
Template::Alloy you can use your favorite template interface and syntax and
get features from each of the other major template systems. And
Template::Alloy is fast - whether your using mod_perl, cgi, or running from
the commandline. There is even Template::Alloy::XS for getting a little
more speed when that is necessary.

Template::Alloy happened by accident (accidentally on purpose). The
Template::Alloy (Alloy hereafter) was originally a part of the CGI::Ex
suite that performed simple variable interpolation. It used TT2 style
variables in TT2 style tags "[% foo.bar %]". That was all the original
Template::Alloy did. This was fine and dandy for a couple of years. In
winter of 2005-2006 Alloy was revamped to add a few features. One thing led
to another and soon Alloy provided for most of the features of TT2 as well
as some from TT3. Template::Alloy now provides a full-featured
implementation of the Template::Toolkit language.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README samples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.20.0-8pclos2017
- rebuild against updates

